## org.eclipse.emf.compare.ui
Interface IModelCompareInputProvider

    public interface IModelCompareInputProvider

This interface needs to be implemented by objects that want to provide a `ModelCompareInput`. For example, this is supposed to be used for classes based on `Change`, that want to be visualized via EMF Compare.

Method Summary
`ModelCompareInput` `getModelCompareInput()` This will return the `ModelCompareInput` for the object.

Method Detail

### getModelCompareInput

    ModelCompareInput getModelCompareInput()

  This will return the `ModelCompareInput` for the object.

  Returns:
    Returns the `ModelCompareInput` for the object.

Copyright 2006 IBM Corporation and others. All Rights Reserved.